#ifndef _FishIDE_Displays_h_
#define _FishIDE_Displays_h_

#include <Draw/Draw.h>
using namespace Upp;

struct FoundDisplay : Display
{
	virtual void Paint(Draw& w, const Rect& r, const Value& q, Color ink, Color paper, dword style) const;
};

struct FoundFileDisplay : Display
{
	virtual void Paint(Draw& w, const Rect& r, const Value& q, Color ink, Color paper, dword style) const;
	virtual Size GetStdSize(const Value& q) const;
};
		

#endif
